MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
Registry.hxx File Reference

Go to the source code of this file.

## Macros
#define | audio_output_plugins_for_each(plugin)

## Functions
const AudioOutputPlugin * | AudioOutputPlugin_get (const char *name)

## Variables
const AudioOutputPlugin *const | audio_output_plugins []

## Macro Definition Documentation

#define audio_output_plugins_for_each | ( |  | plugin | ) |

Value:
for (const AudioOutputPlugin *plugin, \
*const*output_plugin_iterator = &audio_output_plugins[0]; \
(plugin = *output_plugin_iterator) != nullptr; ++output_plugin_iterator)
audio_output_plugins
const AudioOutputPlugin *const audio_output_plugins[]
AudioOutputPlugin
A plugin which controls an audio output device.
Definition: OutputPlugin.hxx:38

Definition at line 30 of file Registry.hxx.

## Function Documentation

const AudioOutputPlugin* AudioOutputPlugin_get | ( | const char * | name | ) |

## Variable Documentation

const AudioOutputPlugin* const audio_output_plugins[]